Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.wcf.expr
Class ExprUtils

    java.lang.Object
      com.tonbeller.wcf.expr.ExprUtils

public class ExprUtils
extends java.lang.Object

evaluates EL expressions, while we are waiting for servlet 2 / tomcat 5

Author:
  av

Method Summary
`static void` | `checkExpr(java.lang.String expr)`
`static java.lang.String` | `getBeanName(java.lang.String expr)` extract the name of the bean.
`static ExprContext` | `getExprContextAdapter(javax.servlet.jsp.PageContext pageContext)`
`static java.lang.Object` | `getModelReference(ExprContext context, java.lang.String expr)`
`static java.lang.Object` | `getModelReference(javax.servlet.jsp.PageContext pageContext, java.lang.String expr)`
`static java.beans.PropertyDescriptor` | `getPropertyDescriptor(ExprContext context, java.lang.String expr)`
`static boolean` | `isExpression(java.lang.String expr)` true, if expr starts with "${" or with "#{"
`static void` | `setModelReference(ExprContext context, java.lang.String expr, java.lang.Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### checkExpr

    public static void checkExpr(java.lang.String expr)

### getModelReference

    public static java.lang.Object getModelReference(javax.servlet.jsp.PageContext pageContext,
                                                     java.lang.String expr)

### getExprContextAdapter

    public static ExprContext getExprContextAdapter(javax.servlet.jsp.PageContext pageContext)

### getModelReference

    public static java.lang.Object getModelReference(ExprContext context,
                                                     java.lang.String expr)

### setModelReference

    public static void setModelReference(ExprContext context,
                                         java.lang.String expr,
                                         java.lang.Object value)

### getPropertyDescriptor

    public static java.beans.PropertyDescriptor getPropertyDescriptor(ExprContext context,
                                                                      java.lang.String expr)

### getBeanName

    public static java.lang.String getBeanName(java.lang.String expr)

  extract the name of the bean. For example, in the expression "${bean.property}" the bean name is "bean".

### isExpression

    public static boolean isExpression(java.lang.String expr)

  true, if expr starts with "${" or with "#{"

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD